diff --git a/doc/src/sgml/ref/vacuum.sgml b/doc/src/sgml/ref/vacuum.sgml
index 543ebcf..f53606c 100644
--- a/doc/src/sgml/ref/vacuum.sgml
+++ b/doc/src/sgml/ref/vacuum.sgml
@@ -271,7 +271,7 @@ CPU: user: 0.09 s, system: 0.01 s, elapsed: 0.59 s.
 INFO:  "onek": removed 3000 tuples in 108 pages
 DETAIL:  CPU: user: 0.06 s, system: 0.01 s, elapsed: 0.07 s.
 INFO:  "onek": found 3000 removable, 1000 nonremovable tuples in 143 pages
-DETAIL:  0 dead tuples cannot be removed yet.
+DETAIL:  0 dead tuples cannot be removed yet, 0 frozen page.
 There were 0 unused item pointers.
 Skipped 0 pages due to buffer pins.
 0 pages are entirely empty.
diff --git a/src/backend/commands/vacuumlazy.c b/src/backend/commands/vacuumlazy.c
index 5d47f16..b5cc918 100644
--- a/src/backend/commands/vacuumlazy.c
+++ b/src/backend/commands/vacuumlazy.c
@@ -1334,10 +1334,11 @@ lazy_scan_heap(Relation onerel, int options, LVRelStats *vacrelstats,
 					 nkeep, OldestXmin);
 	appendStringInfo(&buf, _("There were %.0f unused item pointers.\n"),
 					 nunused);
-	appendStringInfo(&buf, ngettext("Skipped %u page due to buffer pins.\n",
-									"Skipped %u pages due to buffer pins.\n",
+	appendStringInfo(&buf, ngettext("Skipped %u page due to buffer pins, %u frozen pages.\n",
+									"Skipped %u pages due to buffer pins, %u frozen pages.\n",
 									vacrelstats->pinskipped_pages),
-					 vacrelstats->pinskipped_pages);
+					 vacrelstats->pinskipped_pages,
+					 vacrelstats->frozenskipped_pages);
 	appendStringInfo(&buf, ngettext("%u page is entirely empty.\n",
 									"%u pages are entirely empty.\n",
 									empty_pages),
